// Mocks generated by Mockito 5.2.0 from annotations
// in retroshare_dart_wrapper/test/api_client_test.dart.
// Do not manually edit this file.

import 'dart:async' as _i5;
import 'dart:convert' as _i6;
import 'dart:typed_data' as _i7;

import 'package:eventsource/eventsource.dart' as _i10;
import 'package:http/http.dart' as _i4;
import 'package:http/src/base_request.dart' as _i8;
import 'package:http/src/response.dart' as _i2;
import 'package:http/src/streamed_response.dart' as _i3;
import 'package:mockito/mockito.dart' as _i1;
import 'package:retroshare_dart_wrapper/retroshare.dart' as _i9;
import 'package:retroshare_dart_wrapper/rs_models.dart' as _i11;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types

class _FakeResponse_0 extends _i1.Fake implements _i2.Response {}

class _FakeStreamedResponse_1 extends _i1.Fake implements _i3.StreamedResponse {
}

class _FakeClient_2 extends _i1.Fake implements _i4.Client {}

class _FakeStreamSubscription_3<T> extends _i1.Fake
    implements _i5.StreamSubscription<T> {}

/// A class which mocks [Client].
///
/// See the documentation for Mockito's code generation for more information.
class MockClient extends _i1.Mock implements _i4.Client {
  MockClient() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i5.Future<_i2.Response> head(Uri? url, {Map<String, String>? headers}) =>
      (super.noSuchMethod(Invocation.method(#head, [url], {#headers: headers}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<_i2.Response> get(Uri? url, {Map<String, String>? headers}) =>
      (super.noSuchMethod(Invocation.method(#get, [url], {#headers: headers}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<_i2.Response> post(Uri? url,
          {Map<String, String>? headers,
          Object? body,
          _i6.Encoding? encoding}) =>
      (super.noSuchMethod(
              Invocation.method(#post, [url],
                  {#headers: headers, #body: body, #encoding: encoding}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<_i2.Response> put(Uri? url,
          {Map<String, String>? headers,
          Object? body,
          _i6.Encoding? encoding}) =>
      (super.noSuchMethod(
              Invocation.method(#put, [url],
                  {#headers: headers, #body: body, #encoding: encoding}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<_i2.Response> patch(Uri? url,
          {Map<String, String>? headers,
          Object? body,
          _i6.Encoding? encoding}) =>
      (super.noSuchMethod(
              Invocation.method(#patch, [url],
                  {#headers: headers, #body: body, #encoding: encoding}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<_i2.Response> delete(Uri? url,
          {Map<String, String>? headers,
          Object? body,
          _i6.Encoding? encoding}) =>
      (super.noSuchMethod(
              Invocation.method(#delete, [url],
                  {#headers: headers, #body: body, #encoding: encoding}),
              returnValue: Future<_i2.Response>.value(_FakeResponse_0()))
          as _i5.Future<_i2.Response>);
  @override
  _i5.Future<String> read(Uri? url, {Map<String, String>? headers}) =>
      (super.noSuchMethod(Invocation.method(#read, [url], {#headers: headers}),
          returnValue: Future<String>.value('')) as _i5.Future<String>);
  @override
  _i5.Future<_i7.Uint8List> readBytes(Uri? url,
          {Map<String, String>? headers}) =>
      (super.noSuchMethod(
              Invocation.method(#readBytes, [url], {#headers: headers}),
              returnValue: Future<_i7.Uint8List>.value(_i7.Uint8List(0)))
          as _i5.Future<_i7.Uint8List>);
  @override
  _i5.Future<_i3.StreamedResponse> send(_i8.BaseRequest? request) =>
      (super.noSuchMethod(Invocation.method(#send, [request]),
              returnValue:
                  Future<_i3.StreamedResponse>.value(_FakeStreamedResponse_1()))
          as _i5.Future<_i3.StreamedResponse>);
  @override
  void close() => super.noSuchMethod(Invocation.method(#close, []),
      returnValueForMissingStub: null);
}

/// A class which mocks [RsApiClient].
///
/// See the documentation for Mockito's code generation for more information.
class MockRsApiClient extends _i1.Mock implements _i9.RsApiClient {
  MockRsApiClient() {
    _i1.throwOnMissingStub(this);
  }

  @override
  String get basePath =>
      (super.noSuchMethod(Invocation.getter(#basePath), returnValue: '')
          as String);
  @override
  set basePath(String? _basePath) =>
      super.noSuchMethod(Invocation.setter(#basePath, _basePath),
          returnValueForMissingStub: null);
  @override
  String get retroshareServicePrefix =>
      (super.noSuchMethod(Invocation.getter(#retroshareServicePrefix),
          returnValue: '') as String);
  @override
  set retroshareServicePrefix(String? prefix) =>
      super.noSuchMethod(Invocation.setter(#retroshareServicePrefix, prefix),
          returnValueForMissingStub: null);
  @override
  _i4.Client get client => (super.noSuchMethod(Invocation.getter(#client),
      returnValue: _FakeClient_2()) as _i4.Client);
  @override
  set client(_i4.Client? newClient) =>
      super.noSuchMethod(Invocation.setter(#client, newClient),
          returnValueForMissingStub: null);
  @override
  set rsStartCallback(Function? callback) =>
      super.noSuchMethod(Invocation.setter(#rsStartCallback, callback),
          returnValueForMissingStub: null);
  @override
  String getCompletePath(String? path) =>
      (super.noSuchMethod(Invocation.method(#getCompletePath, [path]),
          returnValue: '') as String);
  @override
  String makeAuthHeader(String? username, String? password) => (super
      .noSuchMethod(Invocation.method(#makeAuthHeader, [username, password]),
          returnValue: '') as String);
  @override
  _i5.Future<Map<String, dynamic>> apiCall(String? path,
          {Map<String, dynamic>? params = const {}, String? basicAuth}) =>
      (super.noSuchMethod(
              Invocation.method(
                  #apiCall, [path], {#params: params, #basicAuth: basicAuth}),
              returnValue:
                  Future<Map<String, dynamic>>.value(<String, dynamic>{}))
          as _i5.Future<Map<String, dynamic>>);
  @override
  _i5.Future<_i5.StreamSubscription<_i10.Event>> registerEventsHandler(_i11.RsEventType? eventType,
          dynamic Function(_i5.StreamSubscription<_i10.Event>, Map<String, dynamic>)? callback,
          {Function? onError, String? basicAuth}) =>
      (super.noSuchMethod(
              Invocation.method(#registerEventsHandler, [eventType, callback],
                  {#onError: onError, #basicAuth: basicAuth}),
              returnValue: Future<_i5.StreamSubscription<_i10.Event>>.value(
                  _FakeStreamSubscription_3<_i10.Event>()))
          as _i5.Future<_i5.StreamSubscription<_i10.Event>>);
  @override
  _i5.Future<bool> isRetroshareRunning() =>
      (super.noSuchMethod(Invocation.method(#isRetroshareRunning, []),
          returnValue: Future<bool>.value(false)) as _i5.Future<bool>);
  @override
  _i5.Future<bool> restartRSIfDown(String? message) =>
      (super.noSuchMethod(Invocation.method(#restartRSIfDown, [message]),
          returnValue: Future<bool>.value(false)) as _i5.Future<bool>);
}
